> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mufi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Event Attendees

> Fetch the attendees of an event. This is used to get a list of users that have registered to attend the event.



## OpenAPI

````yaml get /v1/events/{event_id}/attendees
openapi: 3.1.0
info:
  title: Wallet API
  version: 2.72.0
servers:
  - url: https://dev.api.mufi.app/
    description: Staging
security: []
paths:
  /v1/events/{event_id}/attendees:
    get:
      tags:
        - engagement
      summary: Fetch Event Attendees
      description: >-
        Fetch the attendees of an event. This is used to get a list of users
        that have registered to attend the event.
      responses:
        '200':
          description: Returns a list of users that have registered to attend the event.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventAttendeesResponse'
        '400':
          description: A bad request will contain a list of errors for invalid fields.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: string
                required:
                  - errors
        '401':
          description: >-
            Unauthorized. The API key is missing or has expired if you are using
            a key with an expiration date that you configured when creating the
            key.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '403':
          description: >-
            Forbidden. The API key that you provided is not valid or does not
            exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - BearerAuth: []
components:
  schemas:
    EventAttendeesResponse:
      type: object
      properties:
        event:
          $ref: '#/components/schemas/EventResponse'
        attendees:
          type: array
          items:
            $ref: '#/components/schemas/Attendee'
      required:
        - event
        - attendees
    EventResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        reference_id:
          $ref: '#/components/schemas/OptionalReferenceId'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        start_date:
          type: integer
        end_date:
          type: integer
        location:
          type: string
        address:
          type: string
        project_id:
          type: string
          format: uuid
      required:
        - id
        - created_at
        - updated_at
        - name
        - start_date
        - end_date
        - location
        - address
        - project_id
    Attendee:
      type: object
      properties:
        id:
          type: string
          format: uuid
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        event_id:
          type: string
          format: uuid
        registered_at:
          $ref: '#/components/schemas/OptionalTimestamp'
        checked_in_at:
          $ref: '#/components/schemas/OptionalTimestamp'
        user:
          type: object
          properties:
            id:
              type: string
              format: uuid
            firstName:
              type:
                - string
                - 'null'
            lastName:
              type:
                - string
                - 'null'
            email:
              type: string
              format: email
            referenceId:
              $ref: '#/components/schemas/OptionalReferenceId'
            isActivated:
              type: boolean
            activatedOn:
              type:
                - string
                - 'null'
              format: date-time
          required:
            - id
            - isActivated
            - activatedOn
      required:
        - id
        - created_at
        - updated_at
        - event_id
        - user
    OptionalReferenceId:
      type:
        - string
        - 'null'
      description: >-
        An optional ID of the reference object in your database. This can be
        used to query events by reference object.
    OptionalTimestamp:
      type:
        - integer
        - 'null'
      exclusiveMinimum: 0
      description: Timestamp as Unix timestamp in seconds
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: A JWT Access Token obtained from Google Cloud.

````